POST api/pcconfigapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PcConfigViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| id | globally unique identifier |
None. |
|
| key | globally unique identifier |
Required |
|
| pc_id | globally unique identifier |
Required |
|
| value | string |
String length: inclusive between 0 and 500 |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"id": "d5a83522-ad36-486b-acd5-d1a3b7203704",
"key": "82245ab2-05b8-45cc-b760-3c85d911246b",
"pc_id": "32603bb4-c890-4a0c-87f3-564544ddab1f",
"value": "sample string 3"
}
application/xml, text/xml
Sample:
<pc_config xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <id>d5a83522-ad36-486b-acd5-d1a3b7203704</id> <key>82245ab2-05b8-45cc-b760-3c85d911246b</key> <pc_id>32603bb4-c890-4a0c-87f3-564544ddab1f</pc_id> <value>sample string 3</value> </pc_config>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"2cd24020-df56-4fa3-9f9b-c916d79c15ab"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">2cd24020-df56-4fa3-9f9b-c916d79c15ab</guid>